%global pypi_name pylibmc
%global _description %{expand:
pylibmc is a client in Python for memcached. It is a wrapper
around TangentOrg‘s libmemcached library. The interface is
intentionally made as close to python-memcached as possible,
so that applications can drop-in replace it.}

Summary:        Memcached client for Python
Name:           python-%{pypi_name}
Version:        1.6.3
Release:        4%{?dist}
License:        BSD
URL:            http://sendapatch.se/projects/pylibmc/
Source0:        %pypi_source

BuildRequires:  gcc libmemcached-devel zlib-devel
BuildRequires:  python3-devel python3-setuptools

%description %{_description}

%package -n python3-%{pypi_name}
Summary:        %{summary}

%description -n python3-%{pypi_name} %{_description}

%prep
%autosetup -n %{pypi_name}-%{version}

%build
%py3_build

%install
%py3_install

chmod 755 $RPM_BUILD_ROOT%{python3_sitearch}/_pylibmc.cpython-%{python3_version_nodots}*.so

%files -n python3-%{pypi_name}
%doc docs/ LICENSE README.rst
%{python3_sitearch}/%{pypi_name}-%{version}*.egg-info
%{python3_sitearch}/%{pypi_name}/
%{python3_sitearch}/*.so

%changelog
* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.6.3-4
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.6.3-3
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.6.3-2
- Rebuilt for OpenCloudOS Stream 23.05

* Thu Apr 20 2023 kianli <kianli@tencent.com> - 1.6.3-1
- initial build
